aboutsummaryrefslogtreecommitdiffstats
path: root/testing/julia/find-syslibs
diff options
context:
space:
mode:
authorJakub Jirutka <jakub@jirutka.cz>2016-06-06 15:27:58 +0200
committerJakub Jirutka <jakub@jirutka.cz>2016-06-09 19:26:06 +0200
commit306b71cdc16ae6765d310b354deb6c716728c815 (patch)
treec9c724b5a55abba0ff059eeb66e91df97a00f757 /testing/julia/find-syslibs
parentba48a053791c950c7d8aedc52bd8da4269073c6f (diff)
downloadaports-306b71cdc16ae6765d310b354deb6c716728c815.tar.bz2
aports-306b71cdc16ae6765d310b354deb6c716728c815.tar.xz
testing/julia: new abuild
http://julialang.org/ A high-level, high-performance dynamic language for technical computing.
Diffstat (limited to 'testing/julia/find-syslibs')
-rwxr-xr-xtesting/julia/find-syslibs19
1 files changed, 19 insertions, 0 deletions
diff --git a/testing/julia/find-syslibs b/testing/julia/find-syslibs
new file mode 100755
index 0000000000..ef25263607
--- /dev/null
+++ b/testing/julia/find-syslibs
@@ -0,0 +1,19 @@
+#!/bin/sh
+#
+# This script adapts output of scanelf to the format produced by
+# GNU's "ldconfig -p".
+#
+# Note: Julia uses "ldconfig -p" as a workaround to find system
+# libraries, see https://github.com/JuliaLang/julia/issues/6742.
+#
+set -e
+
+echo 'libs found on ldpath'
+scanelf --ldpath -E ET_DYN -BF '%F %M %S %f' | while read path class soname _; do
+ case "$class" in
+ ELFCLASS32) arch='i686';;
+ ELFCLASS64) arch='x86-64';;
+ *) arch="$(uname -m | sed 's/_/-/g')";;
+ esac
+ printf '\t%s (libc,%s) => %s\n' "$soname" "$arch" "$path"
+done